<?php

require_once('FormProcessor.php');

$form = array(
    'subject' => 'New Form Submission',
    'email_message' => 'You have a new form submission',
    'success_redirect' => '',
    'email' => array(
        'from' => 'radex-baza2@wp.pl',
        'to' => 'radex-baza2@wp.pl'
    ),
    'fields' => array(
        'email' => array(
            'order' => 1,
            'type' => 'email',
            'label' => 'e-mail',
            'required' => true,
            'errors' => array(
                'required' => 'Field \'e-mail\' is required.'
            )
        ),
        'Name' => array(
            'order' => 2,
            'type' => 'string',
            'label' => 'Imię i nazwisko',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Imię i nazwisko\' is required.'
            )
        ),
        'phone' => array(
            'order' => 3,
            'type' => 'tel',
            'label' => 'telefon',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'telefon\' is required.'
            )
        ),
        'date' => array(
            'order' => 4,
            'type' => 'string',
            'label' => 'Data nadania',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Data nadania\' is required.'
            )
        ),
        'message-1' => array(
            'order' => 5,
            'type' => 'string',
            'label' => 'Wiadomość, opis przesyłki, lub zapytanie',
            'required' => true,
            'errors' => array(
                'required' => 'Field \'Wiadomość, opis przesyłki, lub zapytanie\' is required.'
            )
        ),
        'place-from' => array(
            'order' => 6,
            'type' => 'string',
            'label' => 'Miejsce nadania (wystarczy kod pocztowy)',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Miejsce nadania (wystarczy kod pocztowy)\' is required.'
            )
        ),
        'place-thru' => array(
            'order' => 7,
            'type' => 'string',
            'label' => 'Miejsce odbioru (wystaczy kod pocztowy)',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Miejsce odbioru (wystaczy kod pocztowy)\' is required.'
            )
        ),
        'package-weight' => array(
            'order' => 8,
            'type' => 'string',
            'label' => 'Waga w kg',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Waga w kg\' is required.'
            )
        ),
        'package-height' => array(
            'order' => 9,
            'type' => 'string',
            'label' => 'Wysokosć w cm',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Wysokosć w cm\' is required.'
            )
        ),
        'package-width' => array(
            'order' => 10,
            'type' => 'string',
            'label' => 'Szerokość w cm',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Szerokość w cm\' is required.'
            )
        ),
        'package-length' => array(
            'order' => 11,
            'type' => 'string',
            'label' => 'Długość w cm',
            'required' => false,
            'errors' => array(
                'required' => 'Field \'Długość w cm\' is required.'
            )
        ),
        'agree' => array(
            'order' => 12,
            'type' => 'checkbox',
            'label' => 'Akceptuję Regulamin',
            'required' => true,
            'errors' => array(
                'required' => 'Field \'Akceptuję Regulamin\' is required.'
            )
        ),
    )
);

$processor = new FormProcessor();
$processor->process($form);

?>